View Issue Details

IDProjectCategoryView StatusLast Update
0003337unrealircdpublic2019-07-11 15:59
ReporterargvxAssigned Toargvx 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSFreeBSDOS Version6.0
Product Version 
Target VersionFixed in Version5.0.0-alpha1 
Summary0003337: PingWarning
DescriptionIf the server hasn't replied in pingwarn seconds after sending the PING, notify the opers so that they are aware of the problem.
example:
[irc.test.org] *** Warning, no response from irc.x-test.net in 15 seconds
and possible adding config option for changing time in seconds for warning message.
TagsNo tags attached.
3rd party modules

Relationships

child of 0005328 assignedargvx TODO list for 'i' 

Activities

stskeeps

2007-05-13 07:48

reporter   ~0014111

Discuss.

Romeo

2007-05-13 07:55

reporter   ~0014112

Good idea.

Stealth

2007-05-13 11:39

reporter   ~0014115

Good idea, but would it really be of any help?

Sure it would warn opers the server is about to split, but what can they do about it?

stskeeps

2007-05-13 13:35

reporter   ~0014119

It may be useful to detect if flowstops often happens and such, measuring quality of the link.

Stealth

2007-05-13 14:37

reporter   ~0014120

In that case, perhaps we should have a conf option set::options::server-ping-warn set to a threshold value.

Ex:
set::options::server-ping-warn 10
Would send a notice to opers that a server has taken X number of seconds to respond to a ping, if the number of seconds is greater or equal to set::options::server-ping-warn

This requires a PONG to be received from the server, which will prevent a flood of notices, and allow people to set their own time value (if they want the notices)

driew

2010-04-15 12:09

reporter   ~0016073

I would really like to see what Stealth suggested.

syzop

2013-01-09 11:01

administrator   ~0017338

Something configurable so you can detect a crappy link would be nice.
But, AFAIK we only send PING/PONG on idle links.. so if we haven't received anything. If you would want this feature then this would need to be changed (always send a PING every XX seconds).
I could be wrong though! But that's how it works for clients...

syzop

2015-07-13 22:54

administrator   ~0018504

still not a bad idea

Issue History

Date Modified Username Field Change
2007-05-13 05:07 argvx New Issue
2007-05-13 07:48 stskeeps Note Added: 0014111
2007-05-13 07:48 stskeeps Status new => feedback
2007-05-13 07:55 Romeo Note Added: 0014112
2007-05-13 11:39 Stealth Note Added: 0014115
2007-05-13 13:35 stskeeps Note Added: 0014119
2007-05-13 14:37 Stealth Note Added: 0014120
2010-04-15 12:09 driew Note Added: 0016073
2010-05-05 18:05 syzop QA => Not touched yet by developer
2010-05-05 18:05 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-05-05 18:05 syzop U4: Upstream notification of bug => Not decided
2010-05-05 18:05 syzop U4: Contributor working on this => None
2010-05-05 18:05 syzop Status feedback => acknowledged
2010-05-05 18:05 syzop Product Version 3.3-alpha0 =>
2013-01-09 11:01 syzop Note Added: 0017338
2015-07-13 22:54 syzop Note Added: 0018504
2019-07-08 08:46 syzop Relationship added child of 0005328
2019-07-11 15:59 argvx Assigned To => argvx
2019-07-11 15:59 argvx Status acknowledged => resolved
2019-07-11 15:59 argvx Resolution open => fixed
2019-07-11 15:59 argvx Fixed in Version => 5.0.0-alpha1